// eslint-disable-next-line @typescript-eslint/no-var-requires
const { createProxyMiddleware } = require('http-proxy-middleware')

module.exports = (app) => {
  app.use(
    ['/socket.io'],
    createProxyMiddleware({
      target: 'http://localhost:3000',
      changeOrigin: true,
    }),
  )
}
